## Apache Zeta Components Manual :: Docs For Class ezcTestPrinter

### UnitTest::ezcTestPrinter

### Class ezcTestPrinter

Test printer class.

Source for this file: /UnitTest/src/test/printer.php

    PHPUnit_TextUI_ResultPrinter
       |
       --ezcTestPrinter

Version: | //autogentag//

### Member Variables

protected mixed | `$depth = 0`
protected mixed | `$maxLength = 0`

### Method Summary

public void | `endTestSuite( $suite )`
public void | `startTestSuite( $suite )`
protected void | `writeProgress( $progress )`

### Methods

#### endTestSuite

void endTestSuite( $suite )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$suite` | PHPUnit_Framework_TestSuite |

#### startTestSuite

void startTestSuite( $suite )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$suite` | PHPUnit_Framework_TestSuite |

#### writeProgress

void writeProgress( $progress )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$progress` |  |

Documentation generated by phpDocumentor 1.4.3